{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    My Achievements
{% endblock %}

{% block head_block %}
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/css/select2.min.css" rel="stylesheet"/>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>

    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/css/bootstrap-select.min.css">

    <!-- Latest compiled and minified JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/js/bootstrap-select.min.js"></script>


{% endblock %}

{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-archive"></i>
                Archive My Achievements
            </h2>
            <ul class="nav navbar-right panel_toolbox">
                <li><a class="btn1 btn1-secondary" href="{% url 'view_achievements' %}">View
                    &
                    Edit</a>
                </li>
            </ul>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="row">
                <form method="POST">{% csrf_token %}
                    <div class="col-md-12 col-sm-12 col-xs-12">
                        <div class="form-horizontal form-label-left">
                            <br>
                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                    Achievement Description
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                <textarea id="description" class="form-control" type="text" name="description" required
                                          placeholder="Brief your achievement here" rows="5"></textarea>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                    Achieved in Semester
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <select class="selectpicker form-control" name="semester" required>
                                        <option disabled selected>Choose Semester</option>
                                        <option value="1">1st Semester</option>
                                        <option value="2">2nd Semester</option>
                                        <option value="3">3rd Semester</option>
                                        <option value="4">4th Semester</option>
                                        <option value="5">5th Semester</option>
                                        <option value="6">6th Semester</option>
                                        <option value="7">7th Semester</option>
                                        <option value="8">8th Semester</option>
                                    </select>
                                </div>
                            </div>
                            <br>
                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <button id="add" type="submit" class="btn1 btn-dark-green">Add to My Archive
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            <div>
                <table class="table table-hover table-striped " style="table-layout:fixed">
                    <thead>
                    <tr>
                        <th style="word-wrap: break-word">S. No.</th>
                        <th style="word-wrap: break-word">Description</th>
                        <th style="word-wrap: break-word">Semester</th>
                    </tr>
                    </thead>
                    <tbody id="content">
                    {% for achievement in list_of_achievements %}
                        <tr>
                            <td style="word-wrap: break-word">{{ forloop.counter }}</td>
                            <td style="word-wrap: break-word">{{ achievement.description }}</td>
                            <td style="word-wrap: break-word">
                                {% if achievement.semester_number == 1 %}
                                    FIRST
                                {% endif %}
                                {% if achievement.semester_number == 2 %}
                                    SECOND
                                {% endif %}
                                {% if achievement.semester_number == 3 %}
                                    THIRD
                                {% endif %}
                                {% if achievement.semester_number == 4 %}
                                    FOURTH
                                {% endif %}
                                {% if achievement.semester_number == 5 %}
                                    FIFTH
                                {% endif %}
                                {% if achievement.semester_number == 6 %}
                                    SIXTH
                                {% endif %}
                                {% if achievement.semester_number == 7 %}
                                    SEVENTH
                                {% endif %}
                                {% if achievement.semester_number == 8 %}
                                    EIGHTH
                                {% endif %}
                            </td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>


    <script type="text/javascript">

        $(function () {
            $("#datepick").datepicker();
        });

        function isNumberKey(evt) {
            var charCode = (evt.which) ? evt.which : evt.keyCode;
            if (charCode != 46 && charCode > 31
                && (charCode < 48 || charCode > 57))
                return false;

            return true;
        }


        var current_active_batch;
        //For getting CSRF token
        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }
        $(document).on("click", '#add', function (e) {

            var paper_name = $('#paper_name').val();
            var year = $('#datepicker').val();

            var minyear = 1950;
            var maxyear = new Date().getFullYear();

            if (paper_name.length == 0) {
                alert('Enter proper name');
                return;
            }

            else if (year.length != 4 || (parseInt(year) < minyear || parseInt(year) > maxyear)) {
                alert('Invalid date ( Range: ' + minyear + ' ~ ' + maxyear + ' )');
                return;
            }

            $.ajax({
                type: "POST",
                data: {
                    paper_name: $('#paper_name').val(),
                    description: $('#description').val(),
                    date: $('#datepicker').val(),
                    csrfmiddlewaretoken: getCookie('csrftoken'),
                },
                url: '{% url 'addpapers' %}',
                success: function (data) {
                    $('#paper_name').val("");
                    $('#description').val("");
                    $('#datepicker').val("");
                    document.getElementById('content').innerHTML = "";
                    counter = 1;
                    $.each(data.list, function (key, val) {
                        document.getElementById('content').innerHTML += '<tr><td style=\"word-wrap: break-word\"><br>' + counter++ + '</td><td style=\"word-wrap: break-word\">' + val.paper_name + '</td><td style=\"word-wrap: break-word\">' + val.description + '</td><td style=\"word-wrap: break-word\">' + val.year + '</td></tr>';
                    })

                }
            });
        });
    </script>

{% endblock %}